DROP DATABASE UEFBOOK;

-- Create database UEFBOOK and schema UEF

CREATE DATABASE UEFBOOK;

CONNECT TO UEFBOOK;

CREATE SCHEMA UEF;

-- Table definitions for the BooksBooks

CREATE TABLE UEF.BBPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
   PARTNAME CHARACTER(20)  NOT NULL);

ALTER TABLE UEF.BBPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.BBGOODS
  (ITEMNUMBER BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   TITLE CHARACTER(50) NOT NULL,	 
   AUTHOR CHARACTER(30) NOT NULL,	
   PUBLISHER CHARACTER(20) NOT NULL,
   PUBLISHINGDATE DATE,	
   NETPRICE INTEGER,
   REDUCEPRICE INTEGER,
   DISCOUNTRATE INTEGER,
   QUANTITY INTEGER NOT NULL);
   
ALTER TABLE UEF.BBGOODS
  ADD CONSTRAINT IDKEY PRIMARY KEY (ITEMNUMBER);

ALTER TABLE UEF.BBGOODS
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.BBPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;

-- Table definitions for the Chanel E-Books

CREATE TABLE UEF.CCPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
   PARTNAME CHARACTER(20)  NOT NULL);

ALTER TABLE UEF.CCPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.CCGOODS
  (ITEMNUMBER BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   TITLE CHARACTER(50) NOT NULL,	 
   AUTHOR CHARACTER(30) NOT NULL,	
   PUBLISHER CHARACTER(20) NOT NULL,
   PUBLISHINGDATE DATE,	
   NETPRICE INTEGER,
   REDUCEPRICE INTEGER,
   DISCOUNTRATE INTEGER,
   QUANTITY INTEGER NOT NULL);

ALTER TABLE UEF.CCGOODS
  ADD CONSTRAINT IDKEY PRIMARY KEY (ITEMNUMBER);

ALTER TABLE UEF.CCGOODS
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.CCPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;

-- Table definitions for the Search UR Book

CREATE TABLE UEF.SSPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
   PARTNAME CHARACTER(20)  NOT NULL);

ALTER TABLE UEF.SSPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.SSGOODS
  (ITEMNUMBER BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   TITLE CHARACTER(50) NOT NULL,	 
   AUTHOR CHARACTER(30) NOT NULL,	
   PUBLISHER CHARACTER(20) NOT NULL,
   PUBLISHINGDATE DATE,	
   NETPRICE INTEGER,
   REDUCEPRICE INTEGER,
   DISCOUNTRATE INTEGER,
   QUANTITY INTEGER NOT NULL);
   
ALTER TABLE UEF.SSGOODS
  ADD CONSTRAINT IDKEY PRIMARY KEY (ITEMNUMBER);

ALTER TABLE UEF.SSGOODS
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.SSPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;

-- Table definitions for the Good Reading

CREATE TABLE UEF.GGPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
   PARTNAME CHARACTER(20)  NOT NULL);

ALTER TABLE UEF.GGPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.GGGOODS
  (ITEMNUMBER BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   TITLE CHARACTER(50) NOT NULL,	 
   AUTHOR CHARACTER(30) NOT NULL,	
   PUBLISHER CHARACTER(20) NOT NULL,
   PUBLISHINGDATE DATE,	
   NETPRICE INTEGER,
   REDUCEPRICE INTEGER,
   DISCOUNTRATE INTEGER,
   QUANTITY INTEGER NOT NULL);
   
ALTER TABLE UEF.GGGOODS
  ADD CONSTRAINT IDKEY PRIMARY KEY (ITEMNUMBER);

ALTER TABLE UEF.GGGOODS
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.GGPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;

  
-- Sample Data for BooksBooks Parts Table
  
INSERT INTO UEF.BBPARTS VALUES ('B100000001','濵/Ͻ');
	
INSERT INTO UEF.BBPARTS VALUES ('B100000002','/ܱ');
	
INSERT INTO UEF.BBPARTS VALUES ('B100000003','');

-- Sample Data for BooksBooks Goods Table

INSERT INTO UEF.BBGOODS VALUES (
 	13000001,'B100000001','Ƽ Ͻ   濵', 'ٱ ', 'Ǫ', '2002-08-01', 12000, 9600, 2400, 10);
	
INSERT INTO UEF.BBGOODS VALUES (
 	13000002,'B100000001','ȭ ̴', 'ѻ', '', '2002-07-20', 5000, 4000, 1000, 20);

INSERT INTO UEF.BBGOODS VALUES (
 	13000003,'B100000001','극ũ  MBO', '纯 ', 'ũǻ', '2002-05-10', 11000, 8800, 2200, 22);

INSERT INTO UEF.BBGOODS VALUES (
	13000004,'B100000002','Essay 6.0  ', '', '̿', '2002-08-20', 19000, 15200, 3800,130);

INSERT INTO UEF.BBGOODS VALUES (
	13000005,'B100000002','TOEFL CBT Ĺ 1300', 'û翵 ', 'û翵', '2002-08-05', 38000, 30400, 7600, 40);

-- Sample Data for Channel E-Books Parts Table
  
INSERT INTO UEF.CCPARTS VALUES ('B100000001','濵/Ͻ');
	
INSERT INTO UEF.CCPARTS VALUES ('B100000002','/ܱ');
	
INSERT INTO UEF.CCPARTS VALUES ('B100000003','');

INSERT INTO UEF.CCPARTS VALUES ('B100000004','ܱ');

-- Sample Data for Channel E-Books Goods Table

INSERT INTO UEF.CCGOODS VALUES (
 	10000001,'B100000003','LOVE&FREE-ڱ⸦ ã   ', 'īϽ ', 'ƽþ', '2002-08-01', 8400, 6700, 1700, 42);
	
INSERT INTO UEF.CCGOODS VALUES (
 	10000002,'B100000003','  ãƼ', '', 'Ǫ', '2002-06-30', 20000, 16000, 4000, 24);

INSERT INTO UEF.CCGOODS VALUES (
 	10000003,'B100000004','Knitting For Dummies', 'Allen ', 'HungryMinds', '2002-01-14', 29000, 24600, 4400, 73);

-- Sample Data for Search UR Book Parts Table
  
INSERT INTO UEF.SSPARTS VALUES ('B100000001','濵/Ͻ');
	
INSERT INTO UEF.SSPARTS VALUES ('B100000002','/ܱ');
	
INSERT INTO UEF.SSPARTS VALUES ('B100000003','');

-- Sample Data for Search UR Book Goods Table

INSERT INTO UEF.SSGOODS VALUES (
 	12000001,'B100000001',' ϰ  ŵֶ', ' ȭƮ', 'ƶũ', '2002-07-20', 9800, 7800, 2000, 25);
	
INSERT INTO UEF.SSGOODS VALUES (
 	12000002,'B100000002','Hunting Korean', '̿', '', '2001-09-15', 20000, 16000, 4000, 28);

INSERT INTO UEF.SSGOODS VALUES (
 	12000003,'B100000003','ϴð  ٶ  2', '', '', '2002-08-01', 13000, 10400, 2600, 19);

-- Sample Data for Good Reading Parts Table
  
INSERT INTO UEF.GGPARTS VALUES ('B100000001','濵/Ͻ');
	
INSERT INTO UEF.GGPARTS VALUES ('B100000002','/ܱ');
	
INSERT INTO UEF.GGPARTS VALUES ('B100000003','');

-- Sample Data for Good Reading Goods Table

INSERT INTO UEF.GGGOODS VALUES (
 	11000001,'B100000001',' 6ñ׸', ' ', '̾ڸ', '2002-07-23', 8000, 6400, 1600, 9);
	
INSERT INTO UEF.GGGOODS VALUES (
 	11000003,'B100000003','߱ װ   Ư ̰ ִ', 'â', 'ȭ', '2002-04-13', 8000, 6400, 1600, 10);

-- Close the connection

CONNECT RESET;