DROP DATABASE UEFHUMAN;

-- Create database UEFHUMAN and schema UEF

CREATE DATABASE UEFHUMAN;

CONNECT TO UEFHUMAN;

CREATE SCHEMA UEF;


-- Table definitions for the personnel section of Kinet

CREATE TABLE UEF.KKPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
   PARTNAME CHARACTER(30)  NOT NULL);

ALTER TABLE UEF.KKPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.KKPEOPLE
  (ID BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   NAME CHARACTER(20) NOT NULL,	 
   PAY CHARACTER(20),	
   BIRTH DATE NOT NULL,
   EDUCATION CHARACTER(20),	
   SEX CHARACTER(2) NOT NULL,
   CAREER CHARACTER(15),
   LOCATION CHARACTER(20),
   PHONE CHARACTER(20) NOT NULL,
   IMAGE_URL VARCHAR(30));
   
ALTER TABLE UEF.KKPEOPLE
  ADD CONSTRAINT IDKEY PRIMARY KEY (ID);

ALTER TABLE UEF.KKPEOPLE
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.KKPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;

  
-- Table definitions for Human Resource Center

CREATE TABLE UEF.HHPARTS 
  (PARTCODE CHARACTER(10) NOT NULL,
   PARTNAME CHARACTER(30) NOT NULL);

ALTER TABLE UEF.HHPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.HHPEOPLE
  (ID BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   NAME CHARACTER(20) NOT NULL,	 
   PAY CHARACTER(20),	
   BIRTH DATE NOT NULL,
   EDUCATION CHARACTER(20),	
   SEX CHARACTER(2) NOT NULL,
   CAREER CHARACTER(15),
   LOCATION CHARACTER(20),
   PHONE CHARACTER(20) NOT NULL,
   IMAGE_URL VARCHAR(30));
   
ALTER TABLE UEF.HHPEOPLE
  ADD CONSTRAINT IDKEY PRIMARY KEY (ID);

ALTER TABLE UEF.HHPEOPLE
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.HHPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;


-- Table definitions for Find UR Members

CREATE TABLE UEF.FFPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
  PARTNAME CHARACTER(30) NOT NULL);

ALTER TABLE UEF.FFPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.FFPEOPLE
  (ID BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   NAME CHARACTER(20) NOT NULL,	 
   PAY CHARACTER(20),	
   BIRTH DATE NOT NULL,
   EDUCATION CHARACTER(20),	
   SEX CHARACTER(2) NOT NULL,
   CAREER CHARACTER(15),
   LOCATION CHARACTER(20),
   PHONE CHARACTER(20) NOT NULL,
   IMAGE_URL VARCHAR(30));
   
ALTER TABLE UEF.FFPEOPLE
  ADD CONSTRAINT IDKEY PRIMARY KEY (ID);

ALTER TABLE UEF.FFPEOPLE
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.FFPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;


-- Table definitions for the personnel section of Shinyoung

CREATE TABLE UEF.SSPARTS
  (PARTCODE CHARACTER(10) NOT NULL,
  PARTNAME CHARACTER(30) NOT NULL);

ALTER TABLE UEF.SSPARTS
  ADD CONSTRAINT PARTKEY PRIMARY KEY (PARTCODE);

CREATE TABLE UEF.SSPEOPLE
  (ID BIGINT NOT NULL,
   PARTCODE CHARACTER(10) NOT NULL,
   NAME CHARACTER(20) NOT NULL,	 
   PAY CHARACTER(20),	
   BIRTH DATE NOT NULL,
   EDUCATION CHARACTER(20),	
   SEX CHARACTER(2) NOT NULL,
   CAREER CHARACTER(15),
   LOCATION CHARACTER(20),
   PHONE CHARACTER(20) NOT NULL,
   IMAGE_URL VARCHAR(30));
   
ALTER TABLE UEF.SSPEOPLE
  ADD CONSTRAINT IDKEY PRIMARY KEY (ID);

ALTER TABLE UEF.SSPEOPLE
  ADD CONSTRAINT PERSONPART FOREIGN KEY (PARTCODE)
  REFERENCES UEF.SSPARTS(PARTCODE)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;

  
-- Kinet

-- Sample Data for Kinet Parts Table
  
INSERT INTO UEF.KKPARTS VALUES ('P100000001','ȹ//ȫ');
	
INSERT INTO UEF.KKPARTS VALUES ('P100000002','///');
	
INSERT INTO UEF.KKPARTS VALUES ('P100000003','ý/м/');

INSERT INTO UEF.KKPARTS VALUES ('P100000004','ȣ/');

INSERT INTO UEF.KKPARTS VALUES ('P100000005','Ǹ/');

INSERT INTO UEF.KKPARTS VALUES ('P100000006','//ð//');


-- Sample Data for Kinet People Table

INSERT INTO UEF.KKPEOPLE VALUES (
	13000001,'P100000001','',' 1600-2000','1975-04-05','/濵','','','Ư','016-254-2563','leeyoujin.gif');
	
INSERT INTO UEF.KKPEOPLE VALUES (
	13000002,'P100000001','ȣ',' 1800-2000','1970-12-12','/濵','','(3-5)','Ư','011-938-1222','leejaeho.gif');

INSERT INTO UEF.KKPEOPLE VALUES (
	13000003,'P100000001','ű',' 2000̻','1972-01-01','п/','','','λ걤','017-232-9001','kimshingkwang.gif');

INSERT INTO UEF.KKPEOPLE VALUES (
	13000004,'P100000002','Kelly Brown',' 2000̻','1967-05-25','п/Ҿҹ','','(10̻)','λ걤','019-882-1243','kellybrown.gif');

INSERT INTO UEF.KKPEOPLE VALUES (
	13000005,'P100000004','Makoto Masahiro',' 2000-2500','1968-12-01','','','(5-10)','õ','018-2142-9887','matokomasahiro.gif');

INSERT INTO UEF.KKPEOPLE VALUES (
	13000006,'P100000005','̹',' 1600-2000','1971-03-14','','','(5-10)','õ','011-982-9321','leemijyoung.gif');

INSERT INTO UEF.KKPEOPLE VALUES (
	13000007,'P100000006','ؼ',' 1600-2000','1973-11-20','п/а','','(3-5)','õ','016-253-4564','kangjunsuk.gif');


-- Human Resource Center

-- Sample Data for Human Resource Center Parts Table

INSERT INTO UEF.HHPARTS VALUES ('P100000001','ȹ//ȫ');
	
INSERT INTO UEF.HHPARTS VALUES ('P100000002','///');
	
INSERT INTO UEF.HHPARTS VALUES ('P100000003','ý/м/');

INSERT INTO UEF.HHPARTS VALUES ('P100000004','ȣ/');

INSERT INTO UEF.HHPARTS VALUES ('P100000005','Ǹ/');

INSERT INTO UEF.HHPARTS VALUES ('P100000006','//ð//');


-- Sample Data for Human Resource Center People Table

INSERT INTO UEF.HHPEOPLE VALUES (
	21000001,'P100000003','ΰ',' 1600-2000','1980-01-31','/ǻͰ','','','Ư','011-2332-3998','minkangwon.gif');
	
INSERT INTO UEF.HHPEOPLE VALUES (
	21000002,'P100000003','',' 3000̻','1972-05-02','/ȭа','','(3-5)','','016-4234-9862','yoohyunduk.gif');

INSERT INTO UEF.HHPEOPLE VALUES (
	21000003,'P100000004','̼',' 1600-2000','1975-12-31','/ȣڰ濵','','','뱸','017-285-1925','leesujyoung.gif');

INSERT INTO UEF.HHPEOPLE VALUES (
	21000004,'P100000005','Jenny Lee',' 2000̻','1978-12-10','/濵','','','Ư','017-255-1256','jennylee.gif');

INSERT INTO UEF.HHPEOPLE VALUES (
	21000005,'P100000006','yoshiko',' 2000-2500','1967-02-22','п/','','(3-5)','','011-242-3342','yoshiko.gif');


-- Find UR Members

-- Sample Data for Find UR Members Parts Table

INSERT INTO UEF.FFPARTS VALUES ('P100000001','ȹ//ȫ');
	
INSERT INTO UEF.FFPARTS VALUES ('P100000002','///');
	
INSERT INTO UEF.FFPARTS VALUES ('P100000003','ý/м/');



-- Sample Data for Find UR Members People Table

INSERT INTO UEF.FFPEOPLE VALUES (
	30000001,'P100000001','ȯ',' 1600-2000','1972-04-26','/濵','','(3-5)','õ','011-256-4467','shinjyounghwan.gif');

INSERT INTO UEF.FFPEOPLE VALUES (
	30000002,'P100000002','',' 1800-2000','1975-09-17','/','','(5-10)','ֱ','011-235-3466','kimyura.gif');

INSERT INTO UEF.FFPEOPLE VALUES (
	30000003,'P100000003',' ',' 1800-2000','1966-07-17','','','(10̻)','λ걤','018-776-1452','leesuk.gif');


-- Shinyoung

-- Sample Data for Shingyoung Parts Table
  
INSERT INTO UEF.SSPARTS VALUES ('P100000001','ȹ//ȫ');
	
INSERT INTO UEF.SSPARTS VALUES ('P100000002','///');
	
INSERT INTO UEF.SSPARTS VALUES ('P100000003','ý/м/');


-- Sample Data for Shingyoung People Table

INSERT INTO UEF.SSPEOPLE VALUES (
	12000001,'P100000001','ȯ',' 1600-2000','1972-04-26','/Ź','','(3-5)','õ','011-256-4467','shinjyounghwan.gif');

INSERT INTO UEF.SSPEOPLE VALUES (
	12000002,'P100000003','äָ',' 2000̻','1970-12-25','/ǻͰ','','(3-5)','Ư','011-296-2433','cheajuri.gif');
	

-- Close the connection

CONNECT RESET;