package book.wsad.channel.ejb;

import javax.naming.*;
import javax.ejb.*;
import java.util.*;
import book.wsad.channel.bean.BookInfo;

/**
 * Bean implementation class for Enterprise Bean: LinkParts
 */
public class LinkPartsBean implements javax.ejb.SessionBean {
	private CcpartsHome partsHome;
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext() {
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx) {
		mySessionCtx = ctx;
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbCreate
	 */
	public void ejbCreate() throws javax.ejb.CreateException {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() {
	}

	public CcpartsHome getPartsHome() {
		if (partsHome == null) {
			try {
				InitialContext ic = new InitialContext();
				Object objref = ic.lookup("java:comp/env/ejb/Ccparts");
				partsHome =
					(CcpartsHome) javax.rmi.PortableRemoteObject.narrow(objref, CcpartsHome.class);
			} catch (NamingException ex) {
				ex.printStackTrace();
				throw new EJBException("Error looking up CcpartsHome: " + ex.getMessage());
			}
		}
		return partsHome;
	}

	public Vector linkParts(String partCode) {
		Vector resultVector = new Vector();
		BookInfo bookInfo;
		Ccparts part = null;
		Ccgoods goods = null;
		try {
			part = getPartsHome().findByPrimaryKey(new CcpartsKey(partCode));
			Enumeration items = part.getCcgoods();
			while (items.hasMoreElements()) {
				goods =
					(Ccgoods) javax.rmi.PortableRemoteObject.narrow(
						items.nextElement(),
						Ccgoods.class);
				bookInfo = new BookInfo();
				bookInfo.setPartName(part.getPartname());
				bookInfo.setItemNumber(goods.getItemnumber());
				bookInfo.setTitle(goods.getTitle());
				bookInfo.setAuthor(goods.getAuthor());
				bookInfo.setPublisher(goods.getPublisher());
				bookInfo.setPublishingDate(goods.getPublishingdate());
				bookInfo.setNetPrice(goods.getNetprice());
				bookInfo.setReducePrice(goods.getReduceprice());
				bookInfo.setDiscountRate(goods.getDiscountrate());
				bookInfo.setQuantity(goods.getQuantity());

				resultVector.addElement(bookInfo);
			}
		} catch (FinderException ex) {
			System.out.println("Cannot find part: " + partCode);
			ex.printStackTrace();
		} catch (java.rmi.RemoteException ex) {
			ex.printStackTrace();
		}
		if (resultVector.size() == 0)
			return null;
		else
			return resultVector;
	}

	public BookInfo[] linkPartsArray(String partCode) {
		Vector resultVector = linkParts(partCode);
		if (resultVector == null)
			return null;
		int len = resultVector.size();
		BookInfo[] result = new BookInfo[len];
		for (int i = 0; i < len; i++) {
			result[i] = (BookInfo) resultVector.elementAt(i);
		}
		return result;
	}

}